Overview | Modules | Class Hierarchy | Classes | Members

# tlp::Rectangle< Obj > Struct Template Reference
[Basic]

`#include <Rectangle.h>`

Inherits tlp::Array< Vector< Obj, 2 >, 2 >.

Inheritance diagram for tlp::Rectangle< Obj >:

[legend]
Collaboration diagram for tlp::Rectangle< Obj >:

[legend]
List of all members.

## Detailed Description

### template<typename Obj>
struct tlp::Rectangle< Obj >

class for rectangle

Enables to both create and manipulate a rectangle

Author : <a href="mailto:auber@tulip-software.org>David Auber Version 0.0.1 24/01/2003

## Public Member Functions

- bool intersect (const Rectangle &r) const
- void translate (const tlp::Vector< Obj, 2 > &v)

## Member Function Documentation

template<typename Obj>
bool tlp::Rectangle< Obj >::intersect | ( | const Rectangle< Obj > & | r | ) | const`[inline]`

| Returns true if r intersect "this".

template<typename Obj>
void tlp::Rectangle< Obj >::translate | ( | const tlp::Vector< Obj, 2 > & | v | ) | `[inline]`

| Translate "this" by vector v

Tulip Software by LaBRI Visualization Team 2001 - 2010